diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/rip.h ns-3.44/src/internet/model/rip.h
--- ns-3.43/src/internet/model/rip.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/rip.h	2025-03-09 16:55:49.403371000 -0700
@@ -24,8 +24,8 @@
 {
 
 /**
- * \ingroup ipv4Routing
- * \defgroup rip RIP
+ * @ingroup ipv4Routing
+ * @defgroup rip RIP
  *
  * The RIP protocol (\RFC{2453}) is a unicast-only IPv4 IGP (Interior Gateway Protocol).
  * Its convergence time is rather long. As a consequence, it is suggested to
@@ -47,8 +47,8 @@
  */
 
 /**
- * \ingroup rip
- * \brief Rip Routing Table Entry
+ * @ingroup rip
+ * @brief Rip Routing Table Entry
  */
 class RipRoutingTableEntry : public Ipv4RoutingTableEntry
 {
@@ -65,11 +65,11 @@
     RipRoutingTableEntry();
 
     /**
-     * \brief Constructor
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param nextHop next hop address to route the packet
-     * \param interface interface index
+     * @brief Constructor
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param nextHop next hop address to route the packet
+     * @param interface interface index
      */
     RipRoutingTableEntry(Ipv4Address network,
                          Ipv4Mask networkPrefix,
@@ -77,66 +77,66 @@
                          uint32_t interface);
 
     /**
-     * \brief Constructor
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param interface interface index
+     * @brief Constructor
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param interface interface index
      */
     RipRoutingTableEntry(Ipv4Address network, Ipv4Mask networkPrefix, uint32_t interface);
 
     virtual ~RipRoutingTableEntry();
 
     /**
-     * \brief Set the route tag
-     * \param routeTag the route tag
+     * @brief Set the route tag
+     * @param routeTag the route tag
      */
     void SetRouteTag(uint16_t routeTag);
 
     /**
-     * \brief Get the route tag
-     * \returns the route tag
+     * @brief Get the route tag
+     * @returns the route tag
      */
     uint16_t GetRouteTag() const;
 
     /**
-     * \brief Set the route metric
-     * \param routeMetric the route metric
+     * @brief Set the route metric
+     * @param routeMetric the route metric
      */
     void SetRouteMetric(uint8_t routeMetric);
 
     /**
-     * \brief Get the route metric
-     * \returns the route metric
+     * @brief Get the route metric
+     * @returns the route metric
      */
     uint8_t GetRouteMetric() const;
 
     /**
-     * \brief Set the route status
-     * \param status the route status
+     * @brief Set the route status
+     * @param status the route status
      */
     void SetRouteStatus(Status_e status);
 
     /**
-     * \brief Get the route status
-     * \returns the route status
+     * @brief Get the route status
+     * @returns the route status
      */
     Status_e GetRouteStatus() const;
 
     /**
-     * \brief Set the route as changed
+     * @brief Set the route as changed
      *
      * The changed routes are scheduled for a Triggered Update.
      * After a Triggered Update, all the changed flags are cleared
      * from the routing table.
      *
-     * \param changed true if route is changed
+     * @param changed true if route is changed
      */
     void SetRouteChanged(bool changed);
 
     /**
-     * \brief Get the route changed status
+     * @brief Get the route changed status
      *
-     * \returns true if route is changed
+     * @returns true if route is changed
      */
     bool IsRouteChanged() const;
 
@@ -148,18 +148,18 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param route the Ipv4 routing table entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param route the Ipv4 routing table entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const RipRoutingTableEntry& route);
 
 /**
- * \ingroup rip
+ * @ingroup rip
  *
- * \brief RIP Routing Protocol, defined in \RFC{2453}.
+ * @brief RIP Routing Protocol, defined in \RFC{2453}.
  */
 class Rip : public Ipv4RoutingProtocol
 {
@@ -169,8 +169,8 @@
     ~Rip() override;
 
     /**
-     * \brief Get the type ID
-     * \return type ID
+     * @brief Get the type ID
+     * @return type ID
      */
     static TypeId GetTypeId();
 
@@ -209,51 +209,51 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
     /**
-     * \brief Get the set of interface excluded from the protocol
-     * \return the set of excluded interfaces
+     * @brief Get the set of interface excluded from the protocol
+     * @return the set of excluded interfaces
      */
     std::set<uint32_t> GetInterfaceExclusions() const;
 
     /**
-     * \brief Set the set of interface excluded from the protocol
-     * \param exceptions the set of excluded interfaces
+     * @brief Set the set of interface excluded from the protocol
+     * @param exceptions the set of excluded interfaces
      */
     void SetInterfaceExclusions(std::set<uint32_t> exceptions);
 
     /**
-     * \brief Get the metric for an interface
-     * \param interface the interface
-     * \returns the interface metric
+     * @brief Get the metric for an interface
+     * @param interface the interface
+     * @returns the interface metric
      */
     uint8_t GetInterfaceMetric(uint32_t interface) const;
 
     /**
-     * \brief Set the metric for an interface
-     * \param interface the interface
-     * \param metric the interface metric
+     * @brief Set the metric for an interface
+     * @param interface the interface
+     * @param metric the interface metric
      */
     void SetInterfaceMetric(uint32_t interface, uint8_t metric);
 
     /**
-     * \brief Add a default route to the router through the nextHop located on interface.
+     * @brief Add a default route to the router through the nextHop located on interface.
      *
      * The default route is usually installed manually, or it is the result of
      * some "other" routing protocol (e.g., BGP).
      *
-     * \param nextHop the next hop
-     * \param interface the interface
+     * @param nextHop the next hop
+     * @param interface the interface
      */
     void AddDefaultRouteTo(Ipv4Address nextHop, uint32_t interface);
 
   protected:
     /**
-     * \brief Dispose this object.
+     * @brief Dispose this object.
      */
     void DoDispose() override;
 
@@ -273,20 +273,20 @@
     typedef std::list<std::pair<RipRoutingTableEntry*, EventId>>::iterator RoutesI;
 
     /**
-     * \brief Receive RIP packets.
+     * @brief Receive RIP packets.
      *
-     * \param socket the socket the packet was received to.
+     * @param socket the socket the packet was received to.
      */
     void Receive(Ptr<Socket> socket);
 
     /**
-     * \brief Handle RIP requests.
+     * @brief Handle RIP requests.
      *
-     * \param hdr message header (including RTEs)
-     * \param senderAddress sender address
-     * \param senderPort sender port
-     * \param incomingInterface incoming interface
-     * \param hopLimit packet's hop limit
+     * @param hdr message header (including RTEs)
+     * @param senderAddress sender address
+     * @param senderPort sender port
+     * @param incomingInterface incoming interface
+     * @param hopLimit packet's hop limit
      */
     void HandleRequests(RipHeader hdr,
                         Ipv4Address senderAddress,
@@ -295,12 +295,12 @@
                         uint8_t hopLimit);
 
     /**
-     * \brief Handle RIP responses.
+     * @brief Handle RIP responses.
      *
-     * \param hdr message header (including RTEs)
-     * \param senderAddress sender address
-     * \param incomingInterface incoming interface
-     * \param hopLimit packet's hop limit
+     * @param hdr message header (including RTEs)
+     * @param senderAddress sender address
+     * @param incomingInterface incoming interface
+     * @param hopLimit packet's hop limit
      */
     void HandleResponses(RipHeader hdr,
                          Ipv4Address senderAddress,
@@ -308,31 +308,31 @@
                          uint8_t hopLimit);
 
     /**
-     * \brief Lookup in the forwarding table for destination.
-     * \param dest destination address
-     * \param setSource set source address in the route
-     * \param interface output interface if any (put 0 otherwise)
-     * \return Ipv4Route to route the packet to reach dest address
+     * @brief Lookup in the forwarding table for destination.
+     * @param dest destination address
+     * @param setSource set source address in the route
+     * @param interface output interface if any (put 0 otherwise)
+     * @return Ipv4Route to route the packet to reach dest address
      */
     Ptr<Ipv4Route> Lookup(Ipv4Address dest, bool setSource, Ptr<NetDevice> = nullptr);
 
     /**
      * Receive and process unicast packet
-     * \param socket socket where packet is arrived
+     * @param socket socket where packet is arrived
      */
     void RecvUnicastRip(Ptr<Socket> socket);
     /**
      * Receive and process multicast packet
-     * \param socket socket where packet is arrived
+     * @param socket socket where packet is arrived
      */
     void RecvMulticastRip(Ptr<Socket> socket);
 
     /**
-     * \brief Add route to network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param nextHop next hop address to route the packet.
-     * \param interface interface index
+     * @brief Add route to network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param nextHop next hop address to route the packet.
+     * @param interface interface index
      */
     void AddNetworkRouteTo(Ipv4Address network,
                            Ipv4Mask networkPrefix,
@@ -340,43 +340,43 @@
                            uint32_t interface);
 
     /**
-     * \brief Add route to network.
-     * \param network network address
-     * \param networkPrefix network prefix
-     * \param interface interface index
+     * @brief Add route to network.
+     * @param network network address
+     * @param networkPrefix network prefix
+     * @param interface interface index
      */
     void AddNetworkRouteTo(Ipv4Address network, Ipv4Mask networkPrefix, uint32_t interface);
 
     /**
-     * \brief Send Routing Updates on all interfaces.
-     * \param periodic true for periodic update, else triggered.
+     * @brief Send Routing Updates on all interfaces.
+     * @param periodic true for periodic update, else triggered.
      */
     void DoSendRouteUpdate(bool periodic);
 
     /**
-     * \brief Send Routing Request on all interfaces.
+     * @brief Send Routing Request on all interfaces.
      */
     void SendRouteRequest();
 
     /**
-     * \brief Send Triggered Routing Updates on all interfaces.
+     * @brief Send Triggered Routing Updates on all interfaces.
      */
     void SendTriggeredRouteUpdate();
 
     /**
-     * \brief Send Unsolicited Routing Updates on all interfaces.
+     * @brief Send Unsolicited Routing Updates on all interfaces.
      */
     void SendUnsolicitedRouteUpdate();
 
     /**
-     * \brief Invalidate a route.
-     * \param route the route to be removed
+     * @brief Invalidate a route.
+     * @param route the route to be removed
      */
     void InvalidateRoute(RipRoutingTableEntry* route);
 
     /**
-     * \brief Delete a route.
-     * \param route the route to be removed
+     * @brief Delete a route.
+     * @param route the route to be removed
      */
     void DeleteRoute(RipRoutingTableEntry* route);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/internet/model/rip-header.h ns-3.44/src/internet/model/rip-header.h
--- ns-3.43/src/internet/model/rip-header.h	2024-10-09 16:41:09.888656000 -0700
+++ ns-3.44/src/internet/model/rip-header.h	2025-03-09 16:55:49.403371000 -0700
@@ -21,8 +21,8 @@
 {
 
 /**
- * \ingroup rip
- * \brief Rip v2 Routing Table Entry (RTE) - see \RFC{2453}.
+ * @ingroup rip
+ * @brief Rip v2 Routing Table Entry (RTE) - see \RFC{2453}.
  */
 class RipRte : public Header
 {
@@ -30,95 +30,95 @@
     RipRte();
 
     /**
-     * \brief Get the type ID.
-     * \return The object TypeId.
+     * @brief Get the type ID.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return Instance type ID.
+     * @brief Return the instance type identifier.
+     * @return Instance type ID.
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return Size.
+     * @brief Get the serialized size of the packet.
+     * @return Size.
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator.
+     * @brief Serialize the packet.
+     * @param start Buffer iterator.
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator.
-     * \return Size of the packet.
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator.
+     * @return Size of the packet.
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Set the prefix.
-     * \param prefix The prefix.
+     * @brief Set the prefix.
+     * @param prefix The prefix.
      */
     void SetPrefix(Ipv4Address prefix);
 
     /**
-     * \brief Get the prefix.
-     * \returns The prefix.
+     * @brief Get the prefix.
+     * @returns The prefix.
      */
     Ipv4Address GetPrefix() const;
 
     /**
-     * \brief Set the subnet mask.
-     * \param subnetMask The subnet mask.
+     * @brief Set the subnet mask.
+     * @param subnetMask The subnet mask.
      */
     void SetSubnetMask(Ipv4Mask subnetMask);
 
     /**
-     * \brief Get the subnet mask.
-     * \returns The subnet mask.
+     * @brief Get the subnet mask.
+     * @returns The subnet mask.
      */
     Ipv4Mask GetSubnetMask() const;
 
     /**
-     * \brief Set the route tag.
-     * \param routeTag The route tag.
+     * @brief Set the route tag.
+     * @param routeTag The route tag.
      */
     void SetRouteTag(uint16_t routeTag);
 
     /**
-     * \brief Get the route tag.
-     * \returns The route tag.
+     * @brief Get the route tag.
+     * @returns The route tag.
      */
     uint16_t GetRouteTag() const;
 
     /**
-     * \brief Set the route metric.
-     * \param routeMetric The route metric.
+     * @brief Set the route metric.
+     * @param routeMetric The route metric.
      */
     void SetRouteMetric(uint32_t routeMetric);
 
     /**
-     * \brief Get the route metric.
-     * \returns The route metric.
+     * @brief Get the route metric.
+     * @returns The route metric.
      */
     uint32_t GetRouteMetric() const;
 
     /**
-     * \brief Set the next hop.
-     * \param nextHop The next hop.
+     * @brief Set the next hop.
+     * @param nextHop The next hop.
      */
     void SetNextHop(Ipv4Address nextHop);
 
     /**
-     * \brief Get the next hop.
-     * \returns The next hop.
+     * @brief Get the next hop.
+     * @returns The next hop.
      */
     Ipv4Address GetNextHop() const;
 
@@ -131,17 +131,17 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param h the Routing Table Entry
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param h the Routing Table Entry
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const RipRte& h);
 
 /**
- * \ingroup rip
- * \brief RipHeader - see \RFC{2453}
+ * @ingroup rip
+ * @brief RipHeader - see \RFC{2453}
  */
 class RipHeader : public Header
 {
@@ -149,35 +149,35 @@
     RipHeader();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Return the instance type identifier.
-     * \return instance type ID
+     * @brief Return the instance type identifier.
+     * @return instance type ID
      */
     TypeId GetInstanceTypeId() const override;
 
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Get the serialized size of the packet.
-     * \return size
+     * @brief Get the serialized size of the packet.
+     * @return size
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serialize the packet.
-     * \param start Buffer iterator
+     * @brief Serialize the packet.
+     * @param start Buffer iterator
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserialize the packet.
-     * \param start Buffer iterator
-     * \return size of the packet
+     * @brief Deserialize the packet.
+     * @param start Buffer iterator
+     * @return size of the packet
      */
     uint32_t Deserialize(Buffer::Iterator start) override;
 
@@ -191,37 +191,37 @@
     };
 
     /**
-     * \brief Set the command
-     * \param command the command
+     * @brief Set the command
+     * @param command the command
      */
     void SetCommand(Command_e command);
 
     /**
-     * \brief Get the command
-     * \returns the command
+     * @brief Get the command
+     * @returns the command
      */
     Command_e GetCommand() const;
 
     /**
-     * \brief Add a RTE to the message
-     * \param rte the RTE
+     * @brief Add a RTE to the message
+     * @param rte the RTE
      */
     void AddRte(RipRte rte);
 
     /**
-     * \brief Clear all the RTEs from the header
+     * @brief Clear all the RTEs from the header
      */
     void ClearRtes();
 
     /**
-     * \brief Get the number of RTE included in the message
-     * \returns the number of RTE in the message
+     * @brief Get the number of RTE included in the message
+     * @returns the number of RTE in the message
      */
     uint16_t GetRteNumber() const;
 
     /**
-     * \brief Get the list of the RTEs included in the message
-     * \returns the list of the RTEs in the message
+     * @brief Get the list of the RTEs included in the message
+     * @returns the list of the RTEs in the message
      */
     std::list<RipRte> GetRteList() const;
 
@@ -231,11 +231,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the reference to the output stream
- * \param h the Rip header
- * \returns the reference to the output stream
+ * @param os the reference to the output stream
+ * @param h the Rip header
+ * @returns the reference to the output stream
  */
 std::ostream& operator<<(std::ostream& os, const RipHeader& h);
 
